<?php
    $wp_customize->add_section(
        'support_area',
        array(
            'title' => __( 'Support Section', 'Luzuk' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'support_area_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'support_area_disable',
            array(
                'settings'      => 'support_area_disable',
                'section'       => 'support_area',
                'label'         => __( 'Disable Section', 'Luzuk' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'Luzuk' ),
                    'off' => __( 'No', 'Luzuk' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'support', 'support_area', $color='#ffffff', get_template_directory_uri().'/images/supportbg.jpg', 'color');

$wp_customize->add_setting(
    'SupportBoxBackground_OverlayColor', array(
        'default'           => '#6d95f5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'SupportBoxBackground_OverlayColor',array(
            'settings'      => 'SupportBoxBackground_OverlayColor',
            'section'       => 'support_area',
            'label'         => __( 'Section Overlay Background Color', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'suppord_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Call Us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'suppord_title',
    array(
        'settings'      => 'suppord_title',
        'section'       => 'support_area',
        'type'          => 'text',
        'label'         => __( 'Phone Tagline', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'Support_PhoneIconColor', 'support_area', 'Phone Icon Color', '#ffffff');

$wp_customize->add_setting(
    'SupportIconBg_color_one', array(
        'default'           => '#28bae6',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'SupportIconBg_color_one',array(
            'settings'      => 'SupportIconBg_color_one',
            'section'       => 'support_area',
            'label'         => __( 'Icon Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'SupportIconBg_color_two', array(
        'default'           => '#5c84e2',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'SupportIconBg_color_two',array(
            'settings'      => 'SupportIconBg_color_two',
            'section'       => 'support_area',
            'label'         => __( 'Icon Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'Support_PhoneTaglineBorderColor', 'support_area', 'Phone Taline Border Color', '#404b9c');

$wp_customize->add_setting(
    'suppord_number',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '1800-123-4567', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'suppord_number',
    array(
        'settings'      => 'suppord_number',
        'section'       => 'support_area',
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'Support_BoxBgssColor', 'support_area', 'Support Box Background Color', '#ffffff');




$wp_customize->add_setting(
    'SupportBoxBg_color_one', array(
        'default'           => '#414c9d',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'SupportBoxBg_color_one',array(
            'settings'      => 'SupportBoxBg_color_one',
            'section'       => 'support_area',
            'label'         => __( 'Support Box Animated Background, Phone Tagline & Number Text Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'SupportBoxBg_color_two', array(
        'default'           => '#6d95f5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'SupportBoxBg_color_two',array(
            'settings'      => 'SupportBoxBg_color_two',
            'section'       => 'support_area',
            'label'         => __( 'Support Box Animated Background, Phone Tagline & Number Text Color Two ', 'Luzuk Premium' ),
        )
    )
); 